> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Webhook Details

> Retrieve configuration details for a specific webhook endpoint.

Retrieve configuration details for a specific webhook endpoint.

> \[!NOTE]
> The URL for fetching details uses `{id}/update` but uses the `POST` method.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique ID of the webhook.
</ParamField>

### Sample Request

```bash theme={null}
curl --location 'https://api.paytring.com/api/v2/webhook/wh_12345/update' \
--user '<API_KEY>:<API_SECRET>'
```

### Sample Response

```json theme={null}
{
    "status": true,
    "data": {
        "id": "wh_12345",
        "url": "https://your-domain.com/webhook",
        "topics": ["order.paid"],
        "status": "active",
        "created_at": "2024-01-22T01:29:50Z"
    }
}
```


## OpenAPI

````yaml POST /api/v2/webhook/{id}/update
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/webhook/{id}/update:
    post:
      tags:
        - Webhook V2
      summary: Fetch Webhook Details
      description: Retrieve configuration details for a specific webhook endpoint.
      operationId: fetch-webhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The unique ID of the webhook.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      url:
                        type: string
                      topics:
                        type: array
                        items:
                          type: string
                      status:
                        type: string
                      created_at:
                        type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````